/**
 * Copyright (C) 2008 Atlassian
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.atlassian.theplugin.commons.crucible.api.model;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface Comment {

    enum ReadState {
        UNKNOWN("Unknown"),
        READ("Read"),
        UNREAD("Not read"),
        LEAVE_UNREAD("Leave unread");

        private String name;

        ReadState(String name) {
            this.name = name;
        }


        @Override
        public String toString() {
            return name;
        }
    }

	PermId getPermId();

	String getMessage();

	boolean isDraft();

	boolean isDeleted();

	boolean isDefectRaised();

	boolean isDefectApproved();

	boolean isReply();

    List<Comment> getReplies();

	User getAuthor();

	Date getCreateDate();

	Map<String, CustomField> getCustomFields();

    ReadState getReadState();
}
