package com.atlassian.theplugin.idea.ui;

import com.atlassian.theplugin.idea.Constants;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.ui.DialogWrapper;
import com.intellij.openapi.util.IconLoader;
import com.intellij.util.ui.UIUtil;
import thirdparty.javaworld.ClasspathHTMLEditorKit;

import javax.swing.*;
import java.awt.*;

/**
 * User: pmaruszak
 */
public class InformationDialogWithCheckBox extends DialogWrapper {
    private Icon infoIcon = IconLoader.getIcon("/actions/help.png");
    private JPanel panel1;
    private JCheckBox doNotShow;
    private JEditorPane description;

    public InformationDialogWithCheckBox(Project project, final String title, final String description) {
        super(project, false);
        init();
        setTitle(title);
        this.description.setBackground(UIUtil.getLabelBackground());
        this.description.setContentType("text/html");
        this.description.setEditorKit(new ClasspathHTMLEditorKit());
        this.description.setText("<html>" + Constants.BODY_WITH_STYLE + description + "</html>");
//        panel1.revalidate();
//        panel1.setOpaque(true);
//        setModal(true);

    }

    @Override
    protected Action[] createActions() {
        return new Action[]{getOKAction()};
    }

    protected JComponent createCenterPanel() {
        return panel1;
    }

    public boolean isDoNotShowChecked() {
        return doNotShow.isSelected();
    }

    private void createUIComponents() {
        // TODO: place custom component creation code here
    }
              // CHECKSTYLE:OFF
    
    {
// GUI initializer generated by IntelliJ IDEA GUI Designer
// >>> IMPORTANT!! <<<
// DO NOT EDIT OR ADD ANY CODE HERE!
        $$$setupUI$$$();
    }

    /**
     * Method generated by IntelliJ IDEA GUI Designer
     * >>> IMPORTANT!! <<<
     * DO NOT edit this method OR call it in your code!
     *
     * @noinspection ALL
     */
    private void $$$setupUI$$$() {
        panel1 = new JPanel();
        panel1.setLayout(new GridBagLayout());
        panel1.setMaximumSize(new Dimension(-1, -1));
        doNotShow = new JCheckBox();
        doNotShow.setAlignmentX(0.5f);
        doNotShow.setAlignmentY(0.0f);
        doNotShow.setAutoscrolls(false);
        doNotShow.setMaximumSize(new Dimension(-1, -1));
        doNotShow.setMinimumSize(new Dimension(100, 23));
        doNotShow.setText("Do not show this message in the future");
        GridBagConstraints gbc;
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 1;
        gbc.weightx = 0.5;
        gbc.anchor = GridBagConstraints.NORTHWEST;
        panel1.add(doNotShow, gbc);
        description = new JEditorPane();
        description.setEditable(false);
        description.setFont(new Font(description.getFont().getName(), Font.BOLD, description.getFont().getSize()));
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 0;
        gbc.weightx = 1.0;
        gbc.fill = GridBagConstraints.HORIZONTAL;
        gbc.insets = new Insets(20, 10, 20, 10);
        panel1.add(description, gbc);
    }

    /**
     * @noinspection ALL
     */
    public JComponent $$$getRootComponent$$$() {
        return panel1;
    }
}
